using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Sownloader
{
    public partial class About : Form
    {
        const string facebook = "https://www.facebook.com/marvin.smule.7";
        const string twitter = "https://twitter.com/MagicPianoApp";
        const string instagram = "http://instagram.com/marvinkleinmusic";
        const string youtube = "http://youtube.com/marvinkleinmusic";
        const string smule = "http://smule.com/marvinkleinmusic";
        const string website = "http://sownloader.com";
        const string support = "mailto:support@sownloader.com";
        const string kevinZora = "https://www.de.linkedin.com/in/kevinzora";

        public About()
        {
            InitializeComponent();
        }
        #region Support
        private void llblWebsite_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                Process.Start(website);
            }
            catch (Exception)
            {

                throw;
            }
        }

        private void LinkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                Process.Start(support);
            }
            catch (Exception)
            {

                throw;
            }
        }

        private void lklblZoraMediaArt_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            try
            {
                Process.Start(kevinZora);
            }
            catch (Exception)
            {

                throw;
            }
        }
        #endregion
        #region Social Media
        private void pbFacebook_Click(object sender, EventArgs e)
        {
            try
            {
                Process.Start(facebook);
            }
            catch (Exception)
            {

                throw;
            }
        }

        private void pbTwitter_Click(object sender, EventArgs e)
        {
            try
            {
                Process.Start(twitter);
            }
            catch (Exception)
            {

                throw;
            }
        }

        private void pbInstagram_Click(object sender, EventArgs e)
        {
            try
            {
                Process.Start(instagram);
            }
            catch (Exception)
            {

                throw;
            }
        }

        private void pbYoutube_Click(object sender, EventArgs e)
        {
            try
            {
                Process.Start(youtube);
            }
            catch (Exception)
            {

                throw;
            }
        }

        private void pbSmule_Click(object sender, EventArgs e)
        {
            try
            {
                Process.Start(smule);
            }
            catch (Exception)
            {

                throw;
            }
        }
        #endregion
        private void btnLicenses_Click(object sender, EventArgs e)
        {
            Licenses lcs = new Licenses();
            lcs.Location = new Point(this.Location.X + (int)(this.Width / 2) - (int)(lcs.Width / 2), this.Location.Y + (int)(this.Height / 2) - (int)(lcs.Height / 2));
            lcs.Show();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void About_Load(object sender, EventArgs e)
        {
            lblVersion.Text = "Ver. " + Application.ProductVersion;
        }
    }
}
